/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class Girokonto extends Konto {


	@Column(precision = 5, scale = 2)
	private BigDecimal sollzinssatz;
	@Column(precision = 5, scale = 2)
	private BigDecimal habenzinssatz;
	@Column(precision = 10, scale = 2)
	private BigDecimal kreditlimit;

	public Girokonto() {
		super();
	}
		
	public Girokonto(BigDecimal sollzinssatz, BigDecimal habenzinssatz, BigDecimal kreditlimit) {
		super();
		this.sollzinssatz = sollzinssatz;
		this.habenzinssatz = habenzinssatz;
		this.kreditlimit = kreditlimit;
	}


	


	public BigDecimal getSollzinssatz() {
		return sollzinssatz;
	}
	public void setSollzinssatz(BigDecimal sollzinssatz) {
		this.sollzinssatz = sollzinssatz;
	}

	public BigDecimal getHabenzinssatz() {
		return habenzinssatz;
	}

	public void setHabenzinssatz(BigDecimal habenzinssatz) {
		this.habenzinssatz = habenzinssatz;
	}

	public BigDecimal getKreditlimit() {
		return kreditlimit;
	}
	public void setKreditlimit(BigDecimal kreditlimit) {
		this.kreditlimit = kreditlimit;
	}
	



}
